Bug 41915 - 7.1 installer doesn't compile Adaptec 7880 into kernel
Summary: 7.1 installer doesn't compile Adaptec 7880 into kernel
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-22 23:37 UTC by David Newman
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 18:06:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Newman 2001-05-22 23:37:39 UTC
Description of Problem:
After upgrading RH 6.1 box to 7.1, system won't complete boot. Error 
message is "failed to mount root fs on 8:x"

How Reproducible:
Upgrade Dell PowerEdge 2400 with factory-installed RH 6.1 to RH 7.1 using 
RH 7.1 install CD


Steps to Reproduce:
1. Use 7.1 upgrade, choose all defaults
2. Reboot after install complete
3. Boot won't complete. root fs is /dev/sda6, and that's 
what /etc/lilo.conf says it is, but because the RH install loads the SCSI 
controller as a module rather than part of the kernel we never load the 
root fs

Actual Results:
Kernel panic upon failure to mount root fs

Expected Results:
Normal boot


Additional Information:
	
System is Dell PowerEdge 2400
ServerSet LE motherboard
2 533-MHz CPUs
256 Mbytes RAM 
Adaptec Perc 2-Si RAID controller
Adaptec AIC 7880 SCSI controller
Factory installed RH 6.1

Comment 1 Brent Fox 2001-06-14 15:59:06 UTC
Can you boot into the system with rescue mode and send us your
/etc/modules.conf?  We install an initial ramdisk (initrd.img) on SCSI systems
that should avoid this problem.

Comment 2 Brent Fox 2001-06-25 18:05:56 UTC
Closing due to inactivity. Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.